import React from "react";
import ReactDOM from "react-dom";
import Menu from "./menu";
import Content from "./content";
import { connect } from 'react-redux';
import '../styles/reset.css';
import '../styles/app.css';

class AppComponent extends React.Component {

  render() {

    let content = {
      type : this.props.params.type ? this.props.params.type : 'home'
    };

    return (
      <div className="app">
        <Menu />
        <Content content={content}/>
      </div>
    )
  }
}

/******************************************************************/

const mapStateToProps = (state) => {

  return {
    lang : state.lang,
  }
};

const mapDispatchToProps = (dispatch, ownProps) => {
  return {

  }
};

const App = connect(
  mapStateToProps,
  mapDispatchToProps,
)(AppComponent);

export default App;
