import React from "react";
import "../styles/content.scss"

class Sidebar extends React.Component {
  render() {

    let {type} = this.props;

    switch (type) {
      case 'movies':
          var sidebarListTitle = <span lang="fr" translate="yes">Movies</span>;
      break;
      case 'series':
          var sidebarListTitle = <span lang="fr" translate="yes">Series</span>;
      break;
      case 'games':
          var sidebarListTitle = <span lang="fr" translate="yes">Games</span>;
      break;
      default:
        var sidebarList = 'nop';
        var sidebarListTitle = <span translate="yes">Unknown</span>;
      break;

    }

    return (
      <div className="sidebar">
        <div className="sidebar-title">{sidebarListTitle}</div>
      </div>
    )
  }
}


export default class Content extends React.Component {
  render() {

    let {content} = this.props;

    let sidebar = '';
    if (content.type === "home") {
      sidebar = 'hide';
    }

    return (
      <div className="content">
          <div className={"sidebar-wrapper "+sidebar}>
            <Sidebar type={content.type} />
          </div>
      </div>
    )
  }
}
