var translationFiles = require.context("../../config/locales", true, /\.json$/);

var locales = {};

translationFiles.keys().forEach(function(key) {
    let locale = translationFiles(key);
    let lang = Object.keys(locale)[0];
    locales[lang] = locale[lang];
});

export default locales;
