import { ACTION_SWITCH_LANG } from "../actions/lang";
import locales from "./locales";
import { createPolyglotMiddleware } from 'redux-polyglot';

let lang = "en";

export const polyglotMiddleware = createPolyglotMiddleware(
    ACTION_SWITCH_LANG,
    function(action) {
        lang = action.lang;
        return action.lang;
    },
    function(locale) {
        return new Promise(
            resolve => {
                resolve(locales[lang]);
            }
        )
    }
)
