import { combineReducers, applyMiddleware } from 'redux'
import { connected } from './connection'
import { dropdown } from './dropdown'
import { lang } from './lang'
import { polyglotReducer } from 'redux-polyglot';
import { polyglotMiddleware } from './middlewares';

const rootReducer = combineReducers({
  connected,
  dropdown,
  lang,
  polyglot: polyglotReducer,
});

export default rootReducer;
